/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
/*****
 general constant variables
*****/
/*const*/var CR=String.fromCharCode(13);
/*const*/var LF=String.fromCharCode(10);
/*const*/var CRLF=String.fromCharCode(13,10);
/*const*/var YEN=String.fromCharCode(92);
/*const*/var YEN_ENU=String.fromCharCode(92,110);
/*const*/var YEN_E=String.fromCharCode(92,101);
/*const*/var BSLASH=String.fromCharCode(165);
/*const*/var BSLASH_MAC=String.fromCharCode(180);
/*const*/var BSLASH_JA=String.fromCharCode(108);
/*const*/var BSLASH_UNICODE=String.fromCharCode(0xc2a5);

/*const*/var BR='<br>';

/*****
*****/
/*const*/var BALLOON_WIDTH=280;
/*const*/var BALLOON_HEIGHT=150;
/*const*/var FIELD_WIDTH=890;
/*const*/var FIELD_HEIGHT=550;

/*****
TIMER
*****/
/*const*/var B_CLOSE_INTERVAL=10000; // トーク終了後、吹き出しを閉じるまでの時間
/*const*/var B_LETTER_INTERVAL=50; // トーク中、１文字ごとのインターバル

/*const*/var ANIM_INTERVAL=20; // メインタイマーのインターバル
/*const*/var TALK_INTERVAL=30000; // AIトークのインターバル

/*const*/var SCOPE_INTERVAL=700; // スコープ切り替えウェイト
/*const*/var POSE_INTERVAL=50; // ポーズ切り替えウェイト

/*const*/var ONOMATOPE_INTERVAL=3000; // 音喩を消すまでのタイム

/*const*/var LOAD_RETRY_INTERVAL=300; // トーク開始のリロードインターバル
/*const*/var LOAD_RETRY_TIMEOUT=10; // トーク開始のタイムアウト（回数）

/*****
REPRESENT
*****/
/*const*/var MODE_CANVAS=1;
/*const*/var MODE_IMAGE=0;
/*const*/var MODE_FILTER=2;
/*const*/var MODE_SVG=3;

/*const*/var STAGE_INITIALIZE='\\-[]\\*[]\\_r\\_h\\_b'; // ステージ初期化
/*const*/var CHARA_INITIALIZE='\\_p'; // キャラクター初期化

var stage, seats, story, cheer;

var tm;

var startingTalk=null;
var panels=[];
////////////////////////////////
Config={
	mode:MODE_IMAGE,
	gif:false,
	t:false,
	fields:['kagamisaki'], // フィールドID
	username:'ゲストさん',
	lang:'ja',
	startTime:0
	
};//


/************/
Config.Init=function(){
	var can=document.createElement('canvas');
	var div=document.createElement('div');
	this.mode=(!!can && can.getContext!=undefined)?MODE_CANVAS:
			(div.style.filter!=undefined)?MODE_FILTER:
			(0)?MODE_SVG: //MODE_SVGの条件が不明
			MODE_IMAGE;
//this.mode=MODE_IMAGE;
	this.gif=(navigator.userAgent.toLowerCase().indexOf('msie 6') != -1 && !window.opera && !navigator.language);
	this.tcon=(div.textContent!==undefined);
	delete can;
	delete div;
	
	this.startTime=(new Date()).getTime();
	return this;
};//


/**********/
Config.Error=function(){

};
Config.Init();

document.writeln('<link rel="stylesheet" type="text/css" href="'+AJAX_LIB_URL+'lib-css/style.css">');

if(Config.mode!=MODE_IMAGE){
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Charactor.extend.js" defer></script>');
}

if(Config.mode==MODE_CANVAS){
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Charactor.canvas.js" defer></script>');
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Posture.canvas.js" defer></script>');
}else if(Config.mode==MODE_FILTER){
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Charactor.filter.js" defer></script>');
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Posture.filter.js" defer></script>');
}else if(Config.mode==MODE_SVG){
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Charactor.svg.js" defer></script>');
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Posture.svg.js" defer></script>');
}else{
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Charactor.js" defer></script>');
	document.writeln('<script type="text/javascript" src="'+AJAX_LIB_URL+'lib-js/Posture.js" defer></script>');
}

