/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/

/* タブ表示
*****************/
function ShowTab(id){
	for(var i=0,el;el=U.EI('otogi-'+i);i++)
		el.style.display='none';
	U.EI('otogi-chara-new').style.display='none';
	U.EI('otogi-stand').style.display='none';
	U.EI('otogi-posture').style.display='none';
	U.EI('otogi-scene').style.display='none';
	U.EI('otogi-onoma').style.display='none';

	el=U.EI('otogi-'+id);
	if(!el)
		return false;
	var d=el.style.display;
	el.style.display=(d=='block'||d=='')?'none':'block';
}//

/* キャラクター一覧からキャラクター設定画面を表示
*****************/
function CharaShow(id,pos){
	U.EI('otogi-'+id+'-name').style.display='none';
	U.EI('otogi-'+id+'-posture').style.display='none';
	
	U.EI('otogi-'+id+'-'+pos).style.display='block';
}//

/* キャラクター設定画面からポーズ設定画面を表示
*****************/
function SetPosture(img, cid, pid, name, x, y){
	var div=U.EI('otogi-posture');
	var frm=div.getElementsByTagName('form')[0];

	frm.elements['otogi-id'].value=cid;
	frm.elements['otogi-posture-id'].value=pid;
	frm.elements['otogi-posture-name'].value=name;
	frm.elements['otogi-pole-x'].value=x;
	frm.elements['otogi-pole-y'].value=y;
	
	var outputImg=U.EI('otogi-posture-image');
		div.style.visibility='hidden';
		div.style.display='block';
		var wh=U.GetSize(div);
		div.style.marginLeft=-(wh.w*0.5)+'px';
		div.style.top=(5+GetScrollTop())+'px';
		div.style.visibility='visible';
	if(img){
		outputImg.src=img+'?'+(new Date()).getTime();
	}else{
		outputImg.src='';
	}

	frm.elements['otogi-posture-name'].focus();
}


/* フィールドサイズ設定画面表示
*****************
function SetFieldSize(w,h,f){
	f.elements['otogi-field-width'].value=w;
	f.elements['otogi-field-height'].value=h;
}//


/* 
****************/
function ViewScene(img, id, name){
	open(img.src, '_blank');
	return false;
}


/* 立ち位置調整
****************/
var is_Stand_Init=false;
var dd_Stand=new Array();
function Stand_Init(){
	if(is_Stand_Init)
		return;
	var doc=U.EI('otogi-stand-field');
	var frm=U.EI('otogi-stand-form');
	for(var i=charas.length-1,ch;ch=charas[i];i--){
		
		img=U.CE('img');
		img.onload=(function(x,y){
			return function(){
				this.style.left=(parseInt(+x-this.width*.5))+'px';
				this.style.top=(+y-this.height)+'px';
			};
		})(ch.base[0],ch.base[1]);
		img.src=ch.src;
		img.style.position='absolute';
		img.id='otogi-stand-img'+ch.id;
		img.charaid='otogi-stand-'+ch.id;
		
		$( img ).draggable({
		//	containment: 'parent',
			//stop: function(event,ui){var s='';for(var i in event)s+=i+':'+event[i]+'\n';alert(s);},
			drag: function(event, ui) {
				var tar=event.target||event.srcElement;
				U.EI(tar.charaid+'-x').value=parseInt(tar.style.left)+parseInt(tar.width*.5);
				U.EI(tar.charaid+'-y').value=parseInt(tar.style.top)+tar.height;
			
			}
		});
		
		doc.appendChild(img);
	}
	is_Stand_Init=true;
}//

function Stand_Move(input, p){
	var id=input.id.match(/\d+/);
	var img=U.EI('otogi-stand-img'+id);
	var val=input.value-((p=='left')?img.width*.5:img.height);
	img.style[p]=val+'px';
}

/*******************************/

var slider;
var imgs=[];

/****************************/

onload=function(){
	var FileReader;
	if(FileReader && U.EI('otogi_input')){
		U.EI('otogi_input').addEventListener('dragover', ImgDragover, true);
		U.EI('otogi_input').addEventListener('drop', ImgDrop, true);
	}
	
	return true;
};//onload


/*******************************/

/************/
function ImgDragover(e) {
	e.stopPropagation();
	e.preventDefault();
	return false;
}

var gImgName;
var gImgType;
function ImgDrop(e){
	e.stopPropagation();
	e.preventDefault();
	var dt = e.dataTransfer;
	var files = dt.files;

	if(files.length == 0){
		alert('no files');
		return true;
	}
	
	var file;
	var fReader = new FileReader();
	fReader.onloadend = function(e) {
		var reader=e.target;
		var postdata=[
			{name: 'mode', data: 'upload'},
			{name: 'fileupload', data: reader.result, contentType: gImgType, filename: gImgName}
		];
		Dabten.Net.Load('upload.cgi', callback,
			{postData: postdata, method:'POST', enctype:'multipart/form-data'});
	};

	for(var i=0;file=files[i];i++){
		gImgName=file.name;
		gImgType=file.type;
//		fReader.readAsDataURL(file);
		fReader.readAsBinaryString(file);
	}

}//

function callback(o){

	var img=new Image();
	img.src=o.client.responseText; //return "path/filename"
	imgs.push(img);
	U.EI('output').appendChild(img);
}



//////////////////
function GetScrollTop(){
	var doc=document;
	var w=window;
	var db=(doc.body)?doc.body.scrollTop:0;
	var de=(doc.documentElement)?document.documentElement.scrollTop:0;
	return db||de||w.scrollY||w.scrollTop||w.pageYOffset||0;
}//
