<?php
/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
	global $gOtogiChara, $gOtogiField;
	if(!isset($gOtogiChara))
		$gOtogiChara=new OtogiChara();
	if(!isset($gOtogiField))
		$gOtogiField=new OtogiField();

	$frm_action=attribute_escape($_SERVER['REQUEST_URI']);

?>
<div id="otogi">
	<div class="header">
		<h2>おとぎ芝居設定</h2>
		<div style="float:left;margin-left:1em;margin-right:1em;border-right:1px dotted gray;">
			<form method="post" action="<?php echo $frm_action; ?>">
				<p>
<?php wp_nonce_field('otogi_options_name'); ?>

				<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="export"/>
				<input type="submit" class="button-primary" value="<?php _e('Export') ?>"/>
				</p>
			</form>
		</div>
		<div>
			<p>
			<b>シーン数:</b><?php echo sizeof($gOtogiField->scenes); ?>
			<b>描き文字数:</b><?php echo sizeof($gOtogiField->onomas); ?><br/>
			<input type="button" value="シーン設定" onclick="ShowTab('scene');">
			<input type="button" value="描き文字設定" onclick="ShowTab('onoma');">
			<input type="button" value="立ち位置調整" onclick="ShowTab('stand');Stand_Init();"/>
			<input type="button" value="フリートーク" onclick="ShowTab('freetalk');"/>
			</p>
		</div>
		<div style="clear:left;">
			<p>
			<b>キャラクター数:</b><?php echo sizeof($gOtogiChara->charas); ?><br/>
<?php
foreach($gOtogiChara->charas as $chara){
	// $chara => id, name, posture, base, posture:array
?>
			<input type="button" value="<?php echo $chara['id']; ?>: <?php echo attribute_escape($chara['name']); ?>" onclick="ShowTab(<?php echo $chara['id']; ?>);">
<?php
}
 ?>

			<input type="button" value="キャラクター追加" onclick="ShowTab('chara-new');">
			</p>
		</div>
	</div><!-- header-->

<hr/>

<?php
// キャラクター一覧
foreach($gOtogiChara->charas as $chara){
	// $chara => id, name, base, posture:array
?>
	<div id="otogi-<?php echo $chara['id']; ?>" class="otogi-chara otogi-<?php echo $chara['id']; ?>" style="display:none">

		<h3><?php echo $chara['id']; ?>: <?php echo $chara['name']; ?></h3>
		<div>
			<input type="button" value="名前を変更" onclick="CharaShow('<?php echo $chara['id']; ?>','name');"/>
			<input type="button" value="サーフェイス一覧" onclick="CharaShow('<?php echo $chara['id']; ?>','posture');"/>
		</div>
		<div id="otogi-<?php echo $chara['id']; ?>-name" class="otogi-section otoginame" style="display:none;">
			<h4>キャラクター設定</h4>
			<form method="post" action="<?php echo $frm_action; ?>">
<?php wp_nonce_field('otogi_options_name'); ?>
<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="charactor"/>
				<input type="hidden" name="otogi-id" value="<?php echo $chara['id']; ?>"/>
				<p>
					<label for="otogi-<?php echo $chara['id']; ?>-name">名前：<input type="text" name="otogi-name" id="otogi-<?php echo $chara['id']; ?>-name" value="<?php echo attribute_escape($chara['name']); ?>"/></label>
				</p>

				<p><label for="otogi-<?php echo $chara['id']; ?>-default">デフォルトポーズ（\_pで表示するポーズ）<br/>
					<select name="otogi-default" id="otogi-<?php echo $chara['id']; ?>-default">
						<option value="-1" <?php if($chara['defaultPose']=='-1')echo 'selected="selected"'; ?>>非表示</option>
<?php //echo '<p>'.$chara['posture'].'</p>';
foreach($chara['posture'] as $pose){
//	$pose= id, name, src, icon, pole(x, y)
?>
						<option value="<?php echo $pose['id']; ?>" <?php if($chara['defaultPose']==$pose['id'])echo 'selected="selected"'; ?>><?php echo $pose['name']; ?></option>
<?php
}
?>

					</select></label>
				</p>

				<p class="submit">
					<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>"/>
				</p>
			</form>
		</div><!-- otoginame -->

		<div id="otogi-<?php echo $chara['id']; ?>-posture" class="otogi-section otogipose" style="display:block;">
			<h4>ポーズ一覧</h4>
			<div>
<?php //echo '<p>'.$chara['posture'].'</p>';
foreach($chara['posture'] as $pose){
//	$pose= id, name, src, icon, pole(x, y)
?>
				<p class="posture">
					<input type="hidden" id="otogi-<?php echo $chara['id']; ?>-posture-<?php echo $j; ?>" value="<?php echo $posture; ?>">
					<a onclick="SetPosture('<?php echo $gOtogiChara->otogi_url.$chara['id'].'/'.$pose['src']; ?>', <?php echo $chara['id']; ?>, <?php echo $pose['id']; ?>, '<?php echo $pose['name']; ?>', '<?php echo $pose['pole'][OTOGI_X]; ?>', '<?php echo $pose['pole'][OTOGI_Y]; ?>');">
					<img alt="image" src="<?php echo $gOtogiChara->otogi_url.$chara['id'].'/'.$pose['src']; ?>" 
						width="140" ><br/>
					<?php echo $pose['id']; ?> : <?php echo $pose['name']; ?>
					</a>
				</p>
<?php
}
?>

				<p class="posture">
					<input type="button" value="新規" onclick="SetPosture(null, <?php echo $chara['id']; ?>,-1, '', 0, 0);"/>
				</p>
				<hr style="clear:left;"/>
			</div>
		</div><!-- otogipose -->

	</div><!-- otogi-chara -->
<?php
  // キャラクター一覧
} //foreach($gOtogiChara->charas as $chara){
?>

	<div id="otogi-stand" class="otogi-section otogi-stand" style="display:none;">
		<h3>フィールド、立ち位置調整</h3>
		<div id="otogi-stand-field"></div>
		<form action="<?php echo $frm_action; ?>" method="post" id="otogi-stand-form">
<?php wp_nonce_field('otogi_options_name'); ?>
<input type="hidden" name="action" value="save">
			<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="stand"/>
			
			<p>
<?php
// 各キャラクターのx,y入力
foreach($gOtogiChara->charas as $chara){
	// $chara => id, name, posture, base, posture:array
?>
<span style="white-space:nowrap">
<?php echo $chara['name']; ?>
	(
		x: <input type="text" value="<?php echo $chara['base'][OTOGI_X]; ?>" name="otogi-stand-<?php echo $chara['id']; ?>-x" id="otogi-stand-<?php echo $chara['id']; ?>-x" charaid="<?php echo $chara['id']; ?>" onchange="Stand_Move(this,'left');"/>px,
		y: <input type="text" value="<?php echo $chara['base'][OTOGI_Y]; ?>" name="otogi-stand-<?php echo $chara['id']; ?>-y" id="otogi-stand-<?php echo $chara['id']; ?>-y" charaid="<?php echo $chara['id']; ?>" onchange="Stand_Move(this, 'top');"/>px
	)
</span> 
<?php
} //foreach($gOtogiChara->charas as $chara){
?>
				<br/>
				<input type="button" value="キャンセル" onclick="ShowTab('');"/> 
				<input type="submit" value="決定" class="button-primary" onclick=""/>
			</p>
		</form>
<script type="text/javascript">
var charas=[
<?php
// 各キャラクターの1番目のポーズを出力
$cnt=0;
foreach($gOtogiChara->charas as $chara){
	// $chara => id, name, posture, base, posture:array
if($cnt>0)
	echo ",\n";
$cnt++;
foreach($chara['posture'] as $pose){
?>
{
id: '<?php echo $chara['id']; ?>',
name: '<?php echo $chara['name']; ?>',
src: '<?php echo $gOtogiChara->otogi_url.$chara['id'].'/'.$pose['src']; ?>',
base: ['<?php echo $chara['base'][OTOGI_X]; ?>','<?php echo $chara['base'][OTOGI_Y]; ?>'],
pole: ['<?php echo $pose['pole'][OTOGI_X]; ?>','<?php echo $pose['pole'][OTOGI_Y]; ?>'],
defaultPose: '<?php echo $chara['defaultPose']; ?>'
}
<?php
break;
}

} //foreach($gOtogiChara->charas as $chara){
?>
];
</script>
	</div><!-- otogi-stand -->
	
	<div id="otogi-chara-new" class="otogi-section" style="display:none;">
		<h3>キャラクター追加</h3>
		<form method="post" action="<?php echo $frm_action; ?>">
			<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="charactor"/>
			<input type="hidden" name="otogi-id" value="-1"/>
			<table border="1">
			<tbody>
				<tr>
				<th scope="row">名前</th>
				<td><input type="text" name="otogi-name" value=""/></td>
				</tr>
			</tbody>
			</table>
			<p class="submit">
<?php wp_nonce_field('otogi_options_name'); ?>
<?php //settings_fields( 'otogi_options_name' ) ?>
<input type="hidden" name="action" value="save">
				<input type="submit" class="button" value="この名前でキャラクターを作成する"/>
			</p>
			
		</form>
	</div><!-- otogi-chara-new -->

	<div id="otogi-scene" class="otogi-scene" style="display:none;">
		<h3>シーン設定</h3>
<?php
// シーン一覧
foreach($gOtogiField->scenes as $scene){
	// $chara => id, name, src
?>

		<div id="otogi-scene-<?php echo $scene['id']; ?>" class="otogi-section otogi-scene">
			<h4><?php echo $scene['name']; ?></h4>
			<p class="scene" style="width:220px;border-right:1px solid green;float:left;">
				<img alt="image" src="<?php echo $gOtogiField->otogi_url.'scene/'.$scene['src']; ?>" 
					width="200" height="150"
					onclick="ViewScene(this, <?php echo $scene['id']; ?>, '<?php echo $scene['name']; ?>');"/>
			</p>
			<form method="post" action="<?php echo $frm_action; ?>" enctype="multipart/form-data">
				<?php wp_nonce_field('otogi_options_name'); ?>
				<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="scene"/>
				<p>
					<b>ID：</b><?php echo $scene['id']; ?><input type="hidden" name="otogi-scene-id" value="<?php echo $scene['id']; ?>"/><br/>
					<label><b>シーン名：</b><input type="text" name="otogi-scene-name" value="<?php echo attribute_escape($scene['name']); ?>"/></label><br/>
					<label><b>画像を変更する </b><input type="file" name="file"/></label>
				</p>
				<p class="submit">
					<input type="submit" class="button-primary" value="変更"/>
				</p>
			</form>
			<p style="clear:left;"></p>
		</div><!-- otogi-section シーン -->
<hr/>
<?php
// シーン一覧
}//foreach($gOtogiField->scenes as $scene){
?>
		<div id="otogi-scene-edit" class="otogi-section otogi-scene">
			<h4>デフォルトシーン設定</h4>
			<form method="post" action="<?php echo $frm_action; ?>" enctype="multipart/form-data">
<?php wp_nonce_field('otogi_options_name'); ?>
				<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="defaultscene"/>
				<p>
					<select name="otogi-scene-default">
					<option value="-2"<?php 
					if($gOtogiField->default == '-2'){
						echo ' selected="selected"';
					}
					?>>おとぎ芝居</option>
					<option value="-1"<?php 
					if($gOtogiField->default == '-1'){
						echo ' selected="selected"';
					}
					?>>なし</option>
<?php
// デフォルトシーン
foreach($gOtogiField->scenes as $scene){
?>

					<option value="<?php echo $scene['id']; ?>"<?php 
				if($gOtogiField->default == $scene['id']){
					echo ' selected="selected"';
				}
				?>><?php echo $scene['name']; ?> (<?php echo $scene['id']; ?>)</option>
<?php
}//foreach($gOtogiField->scenes as $scene){
?>

					</select>
					<br/>
					<input type="submit" class="button-primary" value="登録"/>
				</p>
			</form>
		</div><!-- otogi-section デフォルトシーン -->
<hr/>
		<div id="otogi-scene-new" class="otogi-section" style="display:block;">
			<h4>新規</h4>
			<form method="post" action="<?php echo $frm_action; ?>" enctype="multipart/form-data">
<?php wp_nonce_field('otogi_options_name'); ?>
				<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="scene"/>
				<p class="posture">
					<label><b>ID：</b><input type="text" name="otogi-scene-id" value="-1"/>-1を指定すると新規ID、既存IDを指定すると上書きします。</label><br/>
					<label><b>シーン名：</b><input type="text" name="otogi-scene-name" value=""/></label>
					<label><b>画像アップロード：</b><input type="file" name="file"/></label>
					<input type="submit" class="button-primary" value="登録"/>
				</p>
			</form>
		</div><!-- otogi-section 新規 -->
	</div><!-- otogi-scene -->

	<div id="otogi-freetalk" class="otogi-section otogi-freetalk" style="display:none;">
		<h3>フリートーク設定</h3>
		<div id="otogi-freetalk-field"></div>
		<form action="<?php echo $frm_action; ?>" method="post" id="otogi-freetalk-form">
<?php wp_nonce_field('otogi_options_name'); ?>
<input type="hidden" name="action" value="save">
			<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="freetalk"/>
			<h4>フリートークカテゴリー</h4>
			<p>
<?php
// カテゴリー一覧
$freecats = explode(',', get_option('otogi-freetalk', ''));
$cats = get_categories( 'echo=0&hide_empty=0' );
for($i=0;$i<sizeof($cats);$i++){
	$cat=$cats[$i];
?>
<label>
	<input type="checkbox" value="<?php echo $cat->cat_ID; ?>" name="otogi_freetalk[]"<?php otogi_checked($freecats, $cat->cat_ID); ?>/>
	<?php echo $cat->cat_name; ?>
</label>
<?php
} //for sizeof($cats)
?>
			</p>

			<h4>ナビゲーター</h4>
			<p>
<?php
$navis = explode(',', get_option('otogi-navigators', ''));

foreach($gOtogiChara->charas as $chara){
?>
<label><input type="checkbox" value="<?php echo $chara['id']; ?>" name="otogi_navigators[]"<?php echo otogi_checked($navis, $chara['id']); ?>/><?php echo $chara['name']; ?></label><br/>
<?php
} //foreach($gOtogiChara->charas as $chara){
?>
			</p>

			<p>
				<input type="button" value="キャンセル" onclick="ShowTab('');"/> 
				<input type="submit" value="決定" class="button-primary" onclick=""/>
			</p>
		</form>
	</div><!-- otogi-freetalk -->

	<div id="otogi-onoma" class="otogi-onoma" style="display:none;">
		<h3>描き文字設定</h3>
<?php
// 描き文字一覧

foreach($gOtogiField->onomas as $onoma){
	// $chara => id, name, src
?>

		<div id="otogi-onoma-<?php echo $onoma['id']; ?>" class="otogi-section otogi-onoma">
			<h4><?php echo $onoma['name']; ?></h4>
			<p class="onoma" style="width:220px;border-right:1px solid green;float:left;">
				<img alt="image" src="<?php echo $gOtogiField->otogi_url.'onoma/'.$onoma['src']; ?>" 
					width="200" height="150"
					onclick="ViewScene(this, <?php echo $onoma['id']; ?>, '<?php echo $onoma['name']; ?>');"/>
			</p>
			<form method="post" action="<?php echo $frm_action; ?>" enctype="multipart/form-data">
				<?php wp_nonce_field('otogi_options_name'); ?>
				<input type="hidden" name="action" value="save"/>
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="onoma"/>
				<p>
					<b>ID：</b><?php echo $onoma['id']; ?><input type="hidden" name="otogi-onoma-id" value="<?php echo $onoma['id']; ?>"/><br/>
					<label><b>描き文字名：</b><input type="text" name="otogi-onoma-name" value="<?php echo attribute_escape($onoma['name']); ?>"/></label><br/>
					<label><b>画像を変更する </b><input type="file" name="file"/></label>
				</p>
				<p class="submit">
					<input type="submit" class="button-primary" value="変更"/>
				</p>
			</form>
			<p style="clear:left;"></p>
		</div><!-- otogi-section シーン -->
<hr/>
<?php
// 描き文字一覧
}//foreach($gOtogiField->onomas as $onoma){
?>
		<div id="otogi-onoma-new" class="otogi-section" style="display:block;">
			<h4>新規</h4>
			<form method="post" action="<?php echo $frm_action; ?>" enctype="multipart/form-data">
<?php wp_nonce_field('otogi_options_name'); ?>
				<input type="hidden" name="action" value="save">
				<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="onoma"/>
				<p class="posture">
					<label><b>ID：</b><input type="text" name="otogi-onoma-id" value="-1"/>-1を指定すると新規ID、既存IDを指定すると上書きします。</label><br/>
					<label><b>描き文字名：</b><input type="text" name="otogi-onoma-name" value=""/></label>
					<label><b>画像アップロード：</b><input type="file" name="file"/></label>
					<input type="submit" class="button-primary" value="登録"/>
				</p>
			</form>
		</div><!-- otogi-section 新規 -->
	</div><!-- otogi-onoma -->

	<div id="otogi-posture" class="otogi-section otogi-posture">
		<h3>ポーズ追加/編集</h3>
		<form action="<?php echo $frm_action; ?>" method="POST" enctype="multipart/form-data" id="otogi-posture-form">
<?php wp_nonce_field('otogi_options_name'); ?>
			<input type="hidden" name="action" value="save"/>
			<input type="hidden" name="<?php echo OTOGI_FORMSIGN; ?>" value="posture"/>
			<input type="hidden" name="otogi-id" value="-1"/>
			<div style="float:left;width:400px;border:1px solid gray;"><img src="" id="otogi-posture-image" alt="画像"/></div>
			<div style="width:400px;border:1px solid gray;">
			<p>
				<label><b>ID：</b><input type="text" name="otogi-posture-id" value="-1" readonly="readonly"/></label><br/>
				<label><b>ポーズ名：</b><input type="text" name="otogi-posture-name" value="" size="36"/></label><br/>
				<label><b>基点：</b>（Ｘ）<input type="text" name="otogi-pole-x" value="0" size="6"/></label>
				<label>（Ｙ）<input type="text" name="otogi-pole-y" value="0" size="6"/></label><br/>
				<label>ファイルをアップロード: <input type="file" name="input" id="otogi-posture-input"/></label>
			</p>
			</div>
			<p class="submit" style="clear:left;">
				<input type="submit" class="button-primary" value="決定"/>
				<input type="button" class="button" value="キャンセル" onclick="$('#otogi-posture').hide();"/>
			</p>
		</form>
	</div><!-- otogi-posture -->

</div><!-- otogi -->
