<?php
/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
<meta http-equiv="content-type" content="text/html;charset=<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="default-style" content="text/css">
<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php bloginfo('name'); ?><?php if(is_single()){?> &gt; <?php wp_title(); ?><?php } ?></title>

<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen">

<meta name="author" content="<?php bloginfo('author'); ?>">
<meta name="copyright" content="&copy; <?php bloginfo('author'); ?>">

<meta name="keywords" content="">
<meta name="description" content="">

<noscript>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/lib-css/noscript.css" type="text/css" media="screen">
</noscript>

<!--[if lte ie 8]><script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/html5.js"></script><![endif]-->
<script type="text/javascript">
/*const*/var AJAX_BASE_URL='<?php bloginfo('url'); ?>/';
/*const*/var AJAX_LIB_URL='<?php bloginfo('template_url'); ?>/';
/*const*/var AJAX_OTOGI_URL='<?php $dir_wp=wp_upload_dir();echo $dir_wp['baseurl']; ?>/otogi/';
/*const*/var SPACER_URI='<?php bloginfo('template_url'); ?>/images/spacer.gif';
</script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/u.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/jquery-ui-1.8.4.custom.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/dabten.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/printf.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Config.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/index.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Balloon.js" defer></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Action.js" defer></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Cheer.js" defer></script>
<!--
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Charactor.js" defer></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Posture.js" defer></script>
-->
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Field.js" defer></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Stage.js" defer></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/lib-js/Seats.js" defer></script>


<link rel="alternate" type="application/rss+xml" title="<?php get_bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<?php wp_head(); ?>
<script type="text/javascript">
var isPage=false;
var startTalk=[];
//var startTalk={title:[],info:[],url:[],talk:[],tb:[],navi:[]};
var startingComments={status:false,name:[],avatar:[],script:[],date:[],time:[]};
var panels=[];
</script>
</head>
<body>
<header id="header">
	<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<p class="description"><?php bloginfo('description'); ?></p>
</header>
<hr>
