<?php
/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
global $gOtogiStory;
global $gOtogiComments;

$gPage=0;
get_header(); ?>
<div id="posts">
<?php if (have_posts()) : 
	$cnt=0;
while (have_posts()) : the_post(); the_content();
if(is_single()) $cnt=-1;
 ?>
<noscript>
	<article id="post<?php the_ID(); ?>" class="post">
	<header>
	<h2 class="topic"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
	<div class="control"><a href="#header" title="up">UP</a></div>
	<section class="info">
		<time class="date" datetime="<?php the_time('Y-m-d\\TH:s'); ?>+09:00"><?php the_time('Y/m/d, H:s'); ?></time> | 
		<span class="category"><?php the_category(', '); ?></span> | 
		<span class="adm"><?php edit_post_link('Edit', '', ' | '); ?></span>
	</section><!-- info -->
	</header>
	<section class="entry talktable">
<?php $gOtogiStory->PrintTalkTable($cnt); //echo $gOtogiStory->excerpt; ?>
	</section>
	<section class="feedback">
	<?php wp_link_pages(); ?>
<?php if ( pings_open() ) : ?>
		<figure class="trackback">TrackBack <abbr title="Uniform Resource Identifier">URI</abbr> : <cite><?php trackback_url() ?></cite></figure><!-- trackback -->

<?php endif; ?>
		<section class="comment"><?php 
			if(is_single()){
				comments_template();
			}else{
				comments_popup_link(__('No Comments'), __('1 Comment'), __('% Comments'));
			}
		?></section>
	</section><!-- feedback -->
<!--
	<?php trackback_rdf(); ?>
-->
	</article>
</noscript>
<script type="text/javascript">
<?php
	echo $gOtogiComments[0];
?>
startingComments.visitor={
	author: '<?php echo $gOtogiComments[1]; ?>',
	email:  '<?php echo $gOtogiComments[2]; ?>',
	comment_post_ID: '<?php echo $id; ?>',
	comment_form_action: '<?php do_action('comment_form', $post->ID); ?>',
	uid: '<?php echo $gOtogiComments[3]; ?>'
}
</script>
<?php
	$gOtogiStory->PrintTalkScript($cnt);
?>
<?php $cnt++; endwhile; ?>
<?php $gOtogiStory->boards=''; ?>
<?php
$cat=false;
	if(is_single()){
		$cats=get_the_category();
		$cat=$cat[0];
	}
?>
<?php /*
<script type="text/javascript">
startingNavi='<div class="navi multi"><span class="prev">'+
			'<?php previous_posts_link('&laquo; 戻る'); ?>'+
			'<?php printf('</span> <span class="multi"><a href="%s/?otogi_home=%d" title="index" class="multi">□</a></span> <span class="next multi">', get_option('home'), ($cat)?$cat->cat_ID:0); ?>'+
			'<?php next_posts_link('次へ &raquo;'); ?>'+
			'</span></div>';
</script>
*/ ?>
<script type="text/javascript">
startingNavi='<div class="navi">'+
			'<span class="prev"><?php
			if(is_single()){
				next_post_link('%link &laquo; 戻る', '%title', TRUE);
			}else{
				next_posts_link('&laquo; 戻る');
			}
			?></span>'+

			' -- <span class=\"category multi\"><?php
			if(is_single()){
				the_category(', ');
			}else{
				?><a href="<?php echo get_option('home'); ?>/">INDEX</a><?php
			}
			?></span> -- '+

			'<span class="next"><?php
			if(is_single()){
				previous_post_link('次へ &raquo; %link', '%title', TRUE);
			}else{
				previous_posts_link('次へ &raquo;');
			}
			?></span>'+
			'</div>';
</script>
<noscript>
	<div class="navi">
		<span class="prev"><?php
		if(is_single()){
			next_post_link('%link &laquo; 戻る', '%title', TRUE);
		}else{
			next_posts_link('&laquo; 戻る');
		}
		?></span>
		<span><a href="<?php echo get_option('home'); ?>/">INDEX</a></span>
		<span class="next"><?php
		if(is_single()){
			previous_post_link('次へ &raquo; %link', '%title', TRUE);
		}else{
			previous_posts_link('次へ &raquo;');
		}
		?></span>
	</div>
</noscript>

<?php else : // if(have_post()) ?>
<?php include(TEMPLATEPATH . '/notfound.php'); ?>
<?php endif; // if(have_post()) ?>
</div><!-- posts -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
