/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
function Stage(){
	Field.apply(this, arguments);
//初期設定など

// フィールド情報
	// this.fieldは背景に使用
	this.stage=null; //キャラクター、バルーン表示場所
	this.board=null; // ボード表示場所
	this.fukidasi=null; // 吹き出し、描き文字表示場所

	this.lFocus=0;
	this._charas={};
	
	this.syncFocus=null;
	this.quickSession=false;

//以降、動的に変更されるプロパティ

	var now=0;
	var lastAction={
			talktime:0
		};
	var props={
		author:'', // 制作者
		home: '', // 制作者URL
		field:'', // フィールド名
		description:'', // フィールド概要
		countChara:0
	};//props

/****/
	this.Load=function(){
		//this.id=id;
		
		this.field=U.CE('div');
		this.field.className=this.className;
		this.field.id='field';
		
		// キャラクター表示スペース
		this.stage=U.CE('div');
		this.stage.className=this.className;
		this.stage.id='stage';

		//ボード表示用スペース
		this.board=U.CE('div');
		this.board.className='board';
		this.board.id='board';

		//吹き出し、描き文字表示用スペース
		this.fukidasi=U.CE('div');
		this.fukidasi.className='fukidasi';
		this.fukidasi.id='fukidasi';

		if(document && document.body){
			document.body.appendChild(this.field);
			this.field.appendChild(this.board);
			this.field.appendChild(this.stage);
			this.field.appendChild(this.fukidasi);
		}
		this.LoadCharas();
		this.LoadScene();

		return this;
	};//
	
	/****
	キャラデータ
	****/
	this.LoadCharas=function(){
		var o=Dabten.Net.Load(AJAX_OTOGI_URL+'charas.txt', null, {async:false, force:true});
		var cs=U.DevideMultipart(o.client);
		for(var i=0;c=cs[i];i++){
			if(!c.name)continue;
			this.charas[c.filename]=new Charactor(c.filename, c.name, c.data, this.stage, this.fukidasi);
			this._charas[c.name]=c.filename;
			props.countChara++;
		}//for
		o.client=null;
		o=null;
		return this;
	};//


	/****
	シーン設定、描き文字設定
	****/
	this.LoadScene=function(){
		var o=Dabten.Net.Load(AJAX_OTOGI_URL+'scenes.txt', null, {async:false, force:true});
		
		var datas=o.client.responseText.split('\n');
		
		this.defaultscene=datas[0];
		
		for(var i=1,p;i<datas.length;i++){
			if(!datas[i].length)continue;
			eval('p='+datas[i]+';');
			if(p.type=='scene'){
				this.scenes[p.id]=new Scene(p.id, p.src, AJAX_OTOGI_URL+'scene/');
				this.scenes[p.id].Load();
			}else if(p.type=='onoma'){
				this.onomas[p.id]=new Onomatope(p.id, AJAX_OTOGI_URL+'onoma/'+p.src);
			}
		}
		
		delete o.client;
		delete o;
		return this;
	};//
	
	/****
	RindouScriptに含まれるscene imageをロード
	****/
	this.Ready=function(msg){

		var okCount=0;
		var sumCount=0;
		// ボード、パネル、描き文字があるか
		var pnls=msg.match(/[r\-\*]\[.+?\]/g);
		var funcs=StageReady;
		if(pnls){
		for(var i=0,s,ks;i<pnls.length;i++){
			s=pnls[i];
			var ks=s.match(/([r\-\*])\[(.+?)\]/);
			if(ks && funcs[ks[1]]){
				var ret=funcs[ks[1]].call(this, s);
				sumCount+=ret[0];
				okCount+=ret[1];
			}
		}//for
		}//if(pnls)
		delete pnls;
		delete funcs;
		
		// プレイヤーごとに分割
		var msgs=msg.split(/\\p|\\_s/);
		var focus=0;

		for(var i=1,s,line;line=msgs[i];i++){
			if(!line.length)
				continue;
			
			var tmp=line.match(/^\[(.+?)\]/);
			if(tmp){
				var p=tmp[1].indexOf(',');
				focus=(p!=-1)?tmp[1].substring(0,p):tmp[1];
				if(isNaN(focus))
					focus=this._charas[focus];
			}
			// \p[0]の部分を消す
			line=line.replace(/^\[(.+?)\]/);
			
			var poses=line.split('\\s');
			sumCount+=poses.length;
			for(var k=0,s;s=poses[k];k++){
				tmp=s.match(/^\[(.+?)\]/);
				if(tmp && tmp[1]!=-1){
					okCount+=(this.charas[focus])?+this.charas[focus].Loaded(tmp[1]):1;
				}else{
					// \s指定なし
					okCount++;
				}
			}//for k
			delete tmp;
			delete poses;
		}//for i
		this.Submerge();
		return [okCount,sumCount];
	};//

	/****
	話す
	****/
	this.Talk=function(str){
		if(!str.length)
			return false;

		if(this.syncFocus){ // シンクロ発言
			for(var i=0,c;i<this.syncFocus.length;i++){
				c=this.charas[this.syncFocus[i]];
				if(c){
					c.StartTalk(str, false);
					c.Talk(this.quickSession);
				}
			}
		}else{
			this.charas[this.focus].StartTalk(str, (this.lFocus!=this.focus));
			this.lFocus=this.focus;
			this.charas[this.focus].Talk(this.quickSession);
		}
		this.quickSession=false;
		return true;
	}

	/****
	Actionからのタイマー呼び出し
	話中かどうかのチェック
	****/
	this.Play=function(interval){
	
		// board表示中、waitなら待機、早送り中はwaitなし
		if(this.isBoard || (this.talkWait-=interval)>0 && U.EI('fastplay').isFast=='0'){
			return true;
		}
		this.talkWait=0;


		// アニメ中なら終了
		var d=(new Date()).getTime();
		var finished=false;
		for(var i in this.charas)
			finished|=this.charas[i].Animate(d);
		
		if(!finished)
			this.animWait=false;
		if(this.animWait)
			return true;
		
		// トーク中なら終了
		if( this.sLine!=-1){ //トーク強制終了
			if(this.syncFocus){ // シンクロ発言
				for(var i=0,c;i<this.syncFocus.length;i++){
					finished|=Boolean(this.charas[this.syncFocus[i]].Talk());
				}
			}else if(this.charas[this.focus] && this.charas[this.focus].Talk()){
				finished=true;
			}
		}
		if(finished)
			return true;

		if(	(this.sLine==-1) || //トーク強制終了
			(this.script.length<=this.sLine) || //トーク終了
			(!this.script.length) //トークの内容なし
		){
			this.isRun=false;
			this.lFocus=0;
			return false;
		}

		this.syncFocus=null;
		var stagePlay1=StagePlay1;
		var stagePlay2=StagePlay2;
		
		var isSync=true; //同時出力
		do{
			var str=this.script[this.sLine++];
			if(!str||!str.length)
				return this;

			var c0=str.charAt(0),c=str.charAt(1);
			if(c0==YEN && c!='n' && c!=YEN){
				var fn=(c!='_')?stagePlay1[c]:stagePlay2[str.charAt(2)];
				isSync=(fn)?fn.call(this,str):false;
				
				str=str.replace(/^\\_?[^\[n](\[.*?\])?/,'');
				this.Talk(str);
				str='';

				if(!isSync)
					break;
			}else{ //if(c0==YEN && c1!='n' && c1!=YEN)
				isSync=false;
			}

		}while(isSync);

		str=str.replace(/^\\_?[^\[n](\[.*?\])?/,'');
		this.Talk(str);

		return true;
	};//this.Play

	/****
	
	****/
	this.SceneSet=function(src){
		var tmp=src.split(',');
		var id=tmp[0],x=tmp[1],y=tmp[2], sc=null;
		if(isNaN(id)){
			if(id.indexOf('http://')!=-1 || id.indexOf('https://')!=-1){
				sc=new Scene('', id, '');
				sc.Load();
			}
		}else if(id==-2){
			this.field.style.backgroundImage='';
			return this;
		}else if(id==-1){
			this.field.style.backgroundImage='none';
			return this;
		}else{
			sc=this.scenes[id];
		}
		if(!sc)
			return this;
		
		sc.Show(this.field, x, y);
		return this;
	};//this.SceneSet

/**
\*[url]
**/
	this.BoardSet=function(url){
		this.board.style.backgroundImage=(url && url.length)?'url('+url+')':'none';
		return this;
	};//

/**
\+[0,data]
\-[]
**/
	this.PanelSet=function(mode, pid){
		if(mode=='off'){
			if(!pid){
				for(var i in this.panels)
					this.panels[i].Remove();
			}else if(this.panels[pid]){
				this.panels[pid].Remove();
			}
			this.BoardClose();
			return this;
		}
		var pid2,pid3;
		var p=pid.split(',');
		if(p.length>1){
			pid3=parseInt(p[2]);
			pid2=parseInt(p[1]);
			pid=parseInt(p[0]);
		}else{
			pid=parseInt(pid);
		}

		if(!panels[pid])
			return this;
		
		if(!this.panels[pid]){
			this.panels[pid]=new Panel(pid, panels[pid]);
		}

		if(pid2===undefined || pid==pid2){
			pid2=pid+'~';

			if(!this.panels[pid2])
				this.panels[pid2]=new Panel(pid2, panels[pid]);
		}else if(pid2!==undefined && !this.panels[pid2]){
			this.panels[pid2]=new Panel(pid2, panels[pid2]);
		}

		this.panels[pid].Show(this.board, pid2, pid3);
		
		return this;
	};//this.PanelSet

/**
描き文字・音喩
\-[id(url),x,y,p,t,d]
this.OnomaSet(tmp?tmp[1]:null);
**/
	this.OnomaSet=function(str){
		if(!str){
			return this;
		}
		var vals=str.split(',');
		var id=vals[0];
		if(vals.length==1){
			this.onomas[id].Hide();
		}else{
			this.onomas[id].Show((vals[3]=='f')?this.fukidasi:this.board, vals[1], vals[2], vals[4], vals[5]);
		}
		
		return this;
	};//this.OnomaSet

	//ボードを前面に出す
	this.Broach=function(){
		this.isBoard=true;
		this.board.style.zIndex=5;
		return this;
	};//

	//ボードを背面に入れる
	this.Submerge=function(){
		this.isBoard=false;
		this.board.style.zIndex=2;
		return this;
	};//

	// boardをキャラの前に出す
	this.BoardOpen=function(e){
		this.Broach();
		for(var i in this.panels)
			this.panels[i].Hide();
		return this;
	};//

	// Boardをキャラの後ろへ隠す
	this.BoardClose=function(e){
		this.Submerge();
		for(var i in this.panels)
			this.panels[i].Show();
		return this;
	};//

	/****
	charactor/panel/boardをクリックしたときの処理
	****/
	this.Click=function(e){
		e=e||event;
		//U.StopEvent(e);
		var tar=e.target||e.srcElement;
		
		if(tar.nodeName.toUpperCase()!='A')
			U.StopEvent(e);

		// クリックした位置
		var pos={x:e.x||e.pageX||0,y:e.y||e.pageY||0};

		// オープン中のパネルがあれば閉じて終了
		for(var i in this.panels){
			p=this.panels[i];
			if(p.isOpen){
				this.Submerge();
				p.Close();
				if(p.id!=p.expansion){
					this.panels[p.expansion].Remove();
				}
				return false;
			}
		}
		
		// キャラクターをクリックした場合は終了
	//	for(var i=0;c=this.charas[i];i++){
	//		if(!c.Click(e))
	//			return false;
	//	}
		
		//パネルをクリックした場合はパネルを拡大
		for(var i in this.panels){
			p=this.panels[i];
			if(p.IsFocus(e, pos)){
				if(p.id==p.expansion){
					this.panels[p.expansion].Open(true);
				}else{
					p.Open(false);
					this.panels[p.expansion].Show(this.board);
					this.panels[p.expansion].Open(true);
				}
				return true;
			}
		}

		// ボード表示中はボードの拡大
		if($(this.board).css('backgroundImage')!='none'){
			if(this.isBoard){
				this.BoardClose();
				return false;
			}else{
				this.BoardOpen();
				return true;
			}
		}

		return false;
	};//this.Click

	/****
	
	****/
	this.SetZIndex=function(ary, fromBottom){
		var tmp=[];
		var idx={};
		for(var i=0;i<ary.length;i++){
			idx[ary[i]]=i;
		}
		var c=0;
		for(var i in this.charas){
			if(idx[i]==undefined)
				tmp[c++]=this.charas[i];
		}
		tmp=tmp.sort( (fromBottom)?
						function(a,b){return (a.ZIndex()>b.ZIndex());}:
						function(a,b){return  (a.ZIndex()<b.ZIndex());}
			);
		var add=(fromBottom)?1:-1;
		var z=5+((fromBottom)?0:this.CountCharas());
		for(var i=0,c;i<ary.length;i++){
			c=this.charas[ary[i]];
			if(c){
				c.ZIndex(z);
				z+=add;
			}
		}
		for(var i=0;i<tmp.length;i++){
			tmp[i].ZIndex(z);
			z+=add;
		}
		idx=null;
		tmp=null;
		return this;
	};//this.SetZIndex
	
	this.CountCharas=function(){
		return props.countChara;
	};//

}//Stage
U.Inherit(Stage, Field);

/****
****/
var StageReady={
	'r':function(s){
		var tmp=s.match(/\[(.+?)\]/)
		if(tmp && tmp[1]!=-1){
			return [1, (this.scenes[tmp[1]])?+this.scenes[tmp[1]].Loaded():1];
		}
		return [0,0];
	},
	'-':function(s){
		var tmp=s.match(/\[(.+?),.*\]/);
		if(tmp){
			var s=tmp[1];
			if(!this.onomas[s]){
				this.onomas[s]=new Onomatope(s, s);
			}
			return [1, (this.onomas[s])?+this.onomas[s].Loaded():1];
		}
		return [0,0];
	},
	'*':function(s){
		var tmp=s.match(/\[(.+?)\]/)
		if(tmp && tmp[1]!=-1){
			var im=new Image();
			im.loaded=false;
			im.onerror=function(){this.loaded=true;};
			im.src=tmp[1];
			var okCount=+(im.complete||im.loaded);
			delete im;
			return [1, okCount];
		}
		return [0,0];
	}
};//StageReady

var StagePlay1={
	'c': function(str){ //バルーンクリア
		this.charas[this.focus].ClearBalloon();
		return false;
	},
	't': function(str){ //フォント変更
		return true;
	},
	'b': function(str){ //バルーンを閉じる
		this.charas[this.focus].CloseBalloon();
		return true;
	},
	'p': function(str){ //フォーカス変更
		var tmp=str.match(/\[(.+)\]/);
		var p,id,w;
		if(tmp){
			str=tmp[1];
			
			p=str.indexOf(',');
			if(p==-1){
				this.talkWait=SCOPE_INTERVAL;
			}else{
				this.talkWait=50*Number(str.substring(p+1));
				str=str.substring(0,p);
			}
			this.focus=(!isNaN(str))?(this.charas[str])?str:0:(this._charas[str])?this._charas[str]:0;
		}
		return false;
	},
	's': function(str){ //ポーズ変更
		var tmp=str.match(/\[(.+)\]/);
		if(tmp){
			str=tmp[1];
			var p=str.indexOf(',');
			if(p==-1){
				this.talkWait=POSE_INTERVAL;
				this.charas[this.focus].SetPose(str);
			}else{
				this.talkWait=100*Number(str.substring(p+1));
				this.charas[this.focus].SetPose(str.substring(0,p));
			}
		}
		return false;
	},
	'f': function(str){ //左右反転
		this.charas[this.focus].Flip('h');
		return true;
	},
	'r': function(str){ //シーン変更
		var tmp=str.match(/\[(.+?)\]/)
		if(tmp)
			this.SceneSet(tmp[1]);
		return true;
	},
	'w': function(str){ //ウェイト
		var tmp=str.match(/\[(\d+)\]/);
		if(tmp)
			this.talkWait=tmp[1]*50;
		return false;
	},
	'm': function(str){ //\m[t,x,y,z] tミリ秒でx,y地点へ移動
		var tmp=str.match(/\[(.+)\]/);
		if(tmp){
			this.charas[this.focus].Move('move', tmp[1]);
		}
		return true;
	},
	'a': function(str){ // \a[t,d] tミリ秒でd度回転
		var tmp=str.match(/\[(.+)\]/);
		if(tmp){
			this.charas[this.focus].Rotate(tmp[1]);
		}
		return true;
	},
	'z': function(str){ //z-Index変更
		var tmp=str.match(/\[(.+?)\]/)
		if(tmp){
			tmp=tmp[1].split(',');
			this.SetZIndex(tmp, false);
		}
		return true;
	},
	'*': function(str){ // board
		var tmp=str.match(/\[(.+?)\]/);
		this.BoardSet(tmp?tmp[1]:null);
		return true;
	},
	'+': function(str){ // panel
		var tmp=str.match(/\[(.+?)\]/);
		if(tmp){
			this.PanelSet('on', tmp[1]);
		}
		return true;
	},
	'-': function(str){ 
		var tmp=str.match(/\[(.+?)\]/);
		this.OnomaSet(tmp?tmp[1]:null);
		return true;
	},
	'g': function(str){
		return false;
	},
	'e': function(str){
		return true;
	}
};//StagePlay1

var StagePlay2={
	'b': function(str){ //全バルーンを閉じる
		this.CloseAllBalloon();
		return true;
	},
	'c': function(str){ //全バルーンをクリア
		this.ClearAllBalloon();
		return true;
	},
	'p': function(str){ //ポーズをリセット
		this.ResetAllPose();
		this.focus=0;
		return true;
	},
	'h': function(str){ //全キャラ非表示
		for(var i in this.charas){
			this.charas[i].SetPose('-1');
		}
		return false;
	},
	'r': function(str){ //シーンリセット
		this.SceneSet(this.defaultscene);
		return true;
	},
	'm': function(str){ //\m[t,x,y,z] tミリ秒でx,y地点へ移動
		var tmp=str.match(/\[(.+)\]/);
		if(tmp){
			this.charas[this.focus].Move('default', tmp[1]);
		}
		return true;
	},
	'z': function(str){ //z-Index変更
		var tmp=str.match(/\[(.+?)\]/)
		if(tmp){
			tmp=tmp[1].split(',');
			this.SetZIndex(tmp, true);
		}
		return true;
	},
	'f': function(str){ //上下反転
		this.charas[this.focus].Flip('v');
		return true;
	},
	's': function(str){//シンクロ発言（未実装）
		var tmp=str.match(/\[(.+?)\]/)
		if(tmp){
			this.syncFocus=tmp[1].split(',');
			for(var i=this.syncFocus.length-1;i>=0;i--){
				if(!this.charas[this.syncFocus[i]]){
					this.syncFocus.splice(i,1);
				}
			}
			if(this.syncFocus.length>0){
				this.focus=this.syncFocus[0];
			}else{
				this.syncFocus=null;
			}
		}
		return true;
	},
	'q': function(str){//クイックセッション
		this.quickSession=true;
		return true;
	},
	'w': function(str){ // アニメーションウェイト
		this.animWait=true;
		return false;
	},
	'+': function(str){ // panel
		var tmp=str.match(/\[(.+?)\]/);
		var c=(tmp)?tmp[1]:null;
		this.PanelSet('off', c);
		return true;
	}
};//StagePlay2

/***********
[panel id]
[http://www.example.com/]
コンテンツ
コンテンツ
[/panel]
***********/
function Panel(id, content){
	this.id=id;
	this.isOpen=false;
	
	this.expansion=undefined;
	
	this.frame=U.CE('div');
	var panel=U.CE('div');

	this.frame.className='panel';

	this.frame.appendChild(panel);
	panel.className='information';

	content=U.Trim(content);
	var tmp=content.match(/^\[(.+?)\]/);

	if(tmp){
		var url=tmp[1];
		content=content.replace(/^\[.+?\]/, '');
		var label=U.CE('div');
		label.className='label';
		this.frame.appendChild(label);

		label.innerHTML=sprintf('<cite><a href="%s" target="_blank" title="%s">%s</a></cite>', url,url,url);
	}
	panel.innerHTML=content;

	NaviSetup(this.frame);
	delete tmp;
}//Panel

Panel.prototype.Show=function(fld, eid, opt){
	if(!fld){
		if(!this.frame){return this;}
		this.frame.style.display='block';
		return this;
	}

	if(opt){
		$(this.frame).removeClass('freesize');
	}else{
		$(this.frame).addClass('freesize');
	}

	this.expansion=(eid!=undefined)?eid:this.id;
	fld.appendChild(this.frame);

	return this;
};

Panel.prototype.Hide=function(){
	this.frame.style.display='none';
};

Panel.prototype.Remove=function(){
	this.isOpen=false;
	if(this.frame.parentNode)
		this.frame.parentNode.removeChild(this.frame);
};

Panel.prototype.Open=function(exp){
	this.isOpen=true;
	stage.Broach();
	$(this.frame).addClass((exp)?'expansion':'open');
	return this;
};

Panel.prototype.Close=function(fld, pos){
	this.isOpen=false;
	stage.BoardClose();
	$(this.frame).removeClass('open');
	$(this.frame).removeClass('expansion');
	return this;
};

Panel.prototype.Click=function(e){
};

Panel.prototype.Destroy=function(){
	//stage.BoardClose();
	RemoveChild(this.frame, true);
	return this;
};

Panel.prototype.IsFocus=function(tar, p){
	if(!p){
		while(tar){
			if(tar==this.frame)
				return true;
			tar=tar.parentNode;
		}
	}else{
		var po=U.GetPos(this.frame);// po[0]+=90;
		var w=this.frame.clientWidth;
		var h=this.frame.clientHeight;
		if(po[0]<=p.x && p.x<=po[0]+w &&
			po[1]<=p.y && p.y<=po[1]+h)
			return true;
	}
	return false;
};


