/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
var tm;
var Action,Charactor,Stage,Seats,Field,Posture,Cheer,Balloon;
Dabten.LoadMixed(
	AJAX_LIB_URL+'lib-js/templates.tmpl',
	{
		'posts':'posts.txt',
		'seats':'seats.txt',
		'startm':'startm.txt',
		'buttons':'buttons.txt',
		'nowloading':'nowloading.txt'
	},
	{method:'GET',async:false}
);

/*****
Talk Start
*****/
function Onload(){
	U.RE(window, 'load', Onload);
	if(!Action||!Charactor||!Stage||!Seats||!Field||!Posture||!Cheer||!Balloon){
		tm=setTimeout(arguments.callee, 100);
		return false;
	}
	clearTimeout(tm);
D.Init();
	
/**********
Wordpress page layout Setup
**********/
	NaviSetup(U.EI('navi-arch'), true);
	NaviSetup(U.EI('navi-latest'));

	NaviSetup($('#navi-stage .categories').get(0),true);
	NaviSetup($('#navi-stage .pagenav').get(0));

/**********
Otogishibai Setup
**********/
	stage=new Stage('stage', 'stage');
	stage.Load('stage', 'otogi');

	seats=new Seats('seats', 'seats');

	seats.Load('seats', 'cheer');

	//story=new Action(stage, {actions:['menu.txt']});
	story=new Action(stage, {});
	cheer=new Cheer(seats);
	
	// デザイン調整
	AjustDesign();
	U.AE(stage.stage, 'click', function(e){stage.Click(e);});
	U.AE(stage.board, 'click', function(e){stage.Click(e);});
	U.AE(stage.fukidasi, 'click', function(e){stage.Click(e);});
	
	// スクリプト開始
	Start();
	
	delete startTalk;
	delete Start;
	delete Onload;
	return true;
}
/*****/

function Onunload(){
	stage.Destroy();
	seats.Destroy();
	story.Destroy();
	cheer.Destroy();

	delete U;
	delete Config;
}

U.AE(window, 'load', Onload);
U.AE(window, 'unload', Onunload);

/****/
function Start(){
	if(startTalk.length==1 ){
		Dabten.InsertHTML('posts', 'posts', {
			url: location.href,
			title: startTalk[0].title,
			info: startTalk[0].info,
			excerpt: '',
			trackback: startTalk[0].tb,
			navi: startTalk[0].navi,
			single:1
		});
		NaviSetup(U.EI('posts'));
		$('#posts').mytoggle(NavPost, 0, 0);
		setTimeout( function(){$('#posts').mytoggle(NavPost, 0, 1);}, 3000);

		// コメントフォーム調整
		if(startingComments.status=='open'){
			seats.Show(true);
			seats.SetupForm(startingComments.visitor);
		}else{
			seats.Hide(true);
		}
		Talk(startTalk[0].talk,startingComments);

	}else{
		Dabten.InsertHTML('posts', 'posts', {
			navi: startingNavi,
			single:0
		});
		NaviSetup(U.EI('posts'));
		$('#posts').mytoggle(NavPost, 0, 0);
		setTimeout( function(){$('#posts').mytoggle(NavPost, 0, 1);}, 3000);

		seats.Hide(true);
//キャラクター初期化、ボード消去、背景初期化
		var msg=Dabten.GetHTML('startm', startTalk);
		Talk(msg, '');
	}
	
	tm=setInterval("Run()", ANIM_INTERVAL);
}//

/*****
メインタイマー
*****/
function Run(){

// jQueryの.animate()等に無効
	if(U.EI('stopplay').isStop=='1')
		return true;
	
	var a=story.Run();
	var b=cheer.Run();

//	if(!a&&!b){
//		LoadSingle({target:{href:AJAX_LIB_URL+'lib-php/freetalk.php?'+(new Date()).getTime()}}, '', '');
//	}
	
	return true;
}


/*****
charactors talk
コマンドが含まれないメッセージにCHARA_INITIALIZEを入れるかどうか。
*****/
function Talk(m1, m2){
	this.msg1;
	this.msg2;
	
	if(m1!=undefined)
		this.msg1=m1;
	if(m2!=undefined)
		this.msg2=m2;

	var ret=stage.Ready(this.msg1);
	if(ret[0]!=ret[1]){
		var err=NowLoading(true, ret);
		if(!err)
			setTimeout("Talk()", LOAD_RETRY_INTERVAL);
	}else{
		NowLoading(false, ret);
		story.Talk(STAGE_INITIALIZE+this.msg1);
		cheer.Talk(this.msg2);
	}
	return true;
}

/*****
*****/
function Replay(){
	story.Stop(true);
	cheer.Stop(true);
	CloseAllPopupmenu();
	Stopplay(false);
	Talk();
	return true;
}

/*****
何かアニメーションさせたい
*****/
function NowLoading(flg, ret){
	this.tryCount;
	var errCode;
	this.div;
	function Add(){
		if(!this.div){
			this.div=U.CE('div');
			this.div.id='nowloading';
			document.body.appendChild(this.div);
		}
	}
	function Remove(){
		if(this.div){
			this.div.parentNode.removeChild(this.div);
		}
	}
	if(flg){
		this.tryCount++;
		Add();
		Dabten.InsertHTML(this.div, 'nowloading', {cnt:ret[0],sum:ret[1],err:(this.tryCount>LOAD_RETRY_TIMEOUT)?1:0});
		if(this.tryCount>LOAD_RETRY_TIMEOUT){
			this.tryCount=0;
			errCode=1;
		}
	}else{
		errCode=0;
		this.tryCount=0;
		Remove();
		this.div=null;
	}
	return errCode;
};

/*****
*****/
function Fastplay(){
	var div=U.EI('fastplay');
	div.isFast=(div.isFast=='0')?'1':'0';

	if(div.isFast=='1'){
		$(div).addClass('fastplay');
	}else{
		$(div).removeClass('fastplay');
	}
	return true;
}

/*****
*****/
function Stopplay(force){
	var div=U.EI('stopplay');
	if(typeof(force)=='boolean'){
		div.isStop=(force)?'1':'0';
	}else{
		div.isStop=(div.isStop=='0')?'1':'0';
	}

	if(div.isStop=='1'){
		tm=clearInterval(tm);
		$(div).addClass('stopplay');
		div.time=(new Date()).getTime();
	}else{
		tm=setInterval("Run()", ANIM_INTERVAL);
		$(div).removeClass('stopplay');
		seats.script+=(new Date()).getTime()-Number(div.time);
	}
	return true;
}

/****
****/
var Loader=function(isSingle, cb){
	var self=this;
	this.reqUrl='';
	this.isSingle=isSingle;
	this.r={};
	this.load=function(anc, talkid, postid){
		story.Stop(true);
		cheer.Stop(true);
		CloseAllPopupmenu();
		Stopplay(false);

		// #postを開く
		$('#posts').mytoggle(NavPost, 0, 0);

		if(anc){
			if(anc.target || anc.srcElement){
				U.StopEvent(anc);
				anc=anc.target||anc.srcElement;
			}
			this.reqUrl=anc.href;
			postid=postid||'-1';
			U.EI('posts').innerHTML='Loading ...';
			Dabten.Net.Load(anc.href, function(){cb.apply(self, arguments);}, {method:'GET', force:false, postData:{otogi:''+postid}});
		}else{//if(anc)
			this.reqUrl=AJAX_BASE_URL;
		}
		return true;
	};
	this.Make=function(c,base){
		this.r={single:this.isSingle};
		this.r=SplitResponse(c, this.r);
		if(!this.r.url || this.r.url=='')
			this.r.url=base;
		Dabten.InsertHTML('posts', 'posts', this.r);
		NaviSetup(U.EI('posts'));
	};
	/************
	脚本 フォーマットの読み込み
	************/
	function SplitResponse(client, ret){
		var key='nonce', val='';
		var lines=client.responseText.split('\n');
		if(!ret)
			ret={};
		for(var i=0,r;i<lines.length;i++){
			if(r=lines[i].match(/^\[([a-z0-9]+?)\]/)){
				if(key.length && val.length){
	//				ret[key]=val;
					if(ret[key]==undefined){
						ret[key]=val;
					}else if(typeof(ret[key])=='object'){
						ret[key].push(val);
					}else{
						ret[key]=[ret[key], val];
					}
					val='';
				}
				key=r[1];
			}else{
				val+=((val.length)?'\n':'')+lines[i];
			}
		}
		if(key.length && val.length){
			if(ret[key]==undefined){
				ret[key]=val;
			}else if(typeof(ret[key])=='object'){
				ret[key].push(val);
			}else{
				ret[key]=[ret[key], val];
			}
			val='';
		}

		//コメント調整
		if(ret.talks){
			var talks=ret.talks.split('\n');
			ret.talks={};
			
			// １つめの:で分割し、キーと値に変換
			for(var i=0,p,t;i<talks.length;i++){
				t=talks[i];
				if(!t||!t.length)
					continue;
				p=t.indexOf(':');
				key=(p!=-1)?t.substring(0,p):'key';
				val=t.substring(p+1);
				if(!ret.talks[key]){
					ret.talks[key]=[val];
				}else{
					ret.talks[key].push(val);
				}
			}
			delete talks;
		}
		
		delete key;
		delete val;
	
		return ret;
	}

};

var _loaderS=new Loader(1,
function(o){
	this.Make(o.client,this.reqUrl);

	// #postを閉じる
	setTimeout( function(){$('#posts').mytoggle(NavPost, 0, 1);}, 2000);
	
	panels.length=0;
	if(this.r.panels){
		if(typeof(this.r.panels)=='string'){
			panels.length=1;
			var line=this.r.panels;
			var p=line.indexOf('\n');
			panels[line.substring(0,p)]=line.substring(p+1);
		}else{
			var lines=this.r.panels;
			panels.length=lines.length;
			for(var i=0,p,line;i<lines.length;i++){
				line=lines[i];
				p=line.indexOf('\n');
				panels[line.substring(0,p)]=line.substring(p+1);
			}
		}
	}
	
	//コメントフォーム生成
	if(this.r.talks && this.r.talks.status=='open'){
		seats.Show(true);
		seats.SetupForm(this.r.talks);
	}else{
		seats.Hide(true);
	}
	Talk(this.r.script,this.r.talks);
	
	return true;
});
var _loaderM=new Loader(0,
function(o){
	this.Make(o.client);
	// #postを閉じる
	setTimeout( function(){$('#posts').mytoggle(NavPost, 0, 1);}, 2000);
	var msg='\\_p';
	if(typeof(this.r.title)=='string'){
		if(this.r.multilink){
			panels[0]=sprintf('%s<br><a href="%s" class="multi">%s</a>', this.r.title, this.r.url, this.r.url);
		}else{
			panels[0]='['+this.r.url+']\n'+this.r.title;
		}
		msg+='\\+[0]\\p[0,10]\\c'+U.EscapeYen(this.r.title);
		msg+='\\p[1,0]\\s[0]\\c'+this.r.date+'\\n'+this.r.excerpt;

	}else{
		if(this.r.multilink){
			msg+='\\p[0,0]\\s[0,0]\\p[1,0]\\s[0,0]';
			for(var i=0;i<this.r.title.length;i++){
				panels[i]=sprintf('%s<br><a href="%s" class="multi">%s</a>', this.r.title[i], this.r.url[i], this.r.url[i]);
				msg+='\\+['+i+']';
			}
			for(var i=0;i<this.r.title.length;i++){
				msg+='\\p[0,30]\\c'+U.EscapeYen(this.r.title[i]);
				msg+='\\p[1,0]\\s[0]\\c'+this.r.date[i]+'\\n'+this.r.excerpt[i];
			}
		}else{
			msg+='\\p[0,0]\\s[0,0]\\p[1,0]\\s[0,0]';
			for(var i=0;i<this.r.title.length;i++){
				panels[i]='['+this.r.url[i]+']\n'+this.r.title[i];
				msg+='\\+['+i+']';
			}
			for(var i=0;i<this.r.title.length;i++){
				msg+='\\p[0,30]\\c'+U.EscapeYen(this.r.title[i]);
				msg+='\\p[1,0]\\c'+this.r.date[i];
			}
		}
	}
	Talk(msg,'\\_p');

	return true;
});

/****
****/
function LoadSingle(anc, talk, postid){
	_loaderS.load(anc, talk, postid);
}
function LoadMulti(anc, talk, postid){
	_loaderM.load(anc, talk, postid);
}

/****
****/
function NaviSetup(elm, isMulti){
	if(!elm)
		return false;
	var elms=elm.getElementsByTagName('A');

	if(isMulti){
		for(var i=0,anc,cname;anc=elms[i];i++){
			anc.onclick=function(e){NavClose('');LoadMulti(e||window.event, '', '');};
		}
	}else{
		for(var i=0,anc,cname,href,text;i<elms.length;i++){
			anc=elms[i];
			cname=anc.parentNode.className+' '+anc.className+' ';
			href=anc.href;
			text=anc.textContent||anc.innerText;
			
			if(href.indexOf('://')!=-1 && href.indexOf(AJAX_BASE_URL)==-1){
			//外部リンク
				anc.onclick=function(e){U.StopEvent(e||window.event);open(this.href);};
				continue;
			}
			if(text=='BOOKMARK'){
				anc.onclick=function(e){
					U.StopEvent(e||window.event);
					location.href=this.href;
				};
				continue;
			}

			if(href.indexOf('#')!=-1)
				anc.href=href.substring(0, href.indexOf('#'));
			if(cname.indexOf('multi ')!=-1)
				anc.onclick=function(e){NavClose('');LoadMulti(e||window.event, '', '');};
			else if(cname.indexOf('single ')!=-1)
				anc.onclick=function(e){NavClose('');LoadSingle(e||window.event, '', '');};
			else if(cname.indexOf('prev ')!=-1 || cname.indexOf('next ')!=-1 || href.indexOf('category')!=-1)
				anc.onclick=function(e){NavClose('');LoadMulti(e||window.event, '', '');};
			else
				anc.onclick=function(e){NavClose('');LoadSingle(e||window.event, '', '');};
		}
	}
	return true;
}

/****
エレメントからイベントハンドラを全て削除し、エレメントを取り除く
****/
function RemoveChild(elm, removeSelf){
	if(!elm)
		return false;

	if(elm.hasOwnProperty){
		for(var i in elm){
			if(elm.hasOwnProperty(i) && typeof elm[i] === 'function'){
				elm[i]=null;
			}
		}
	}else{
		for(var i in elm){
			if(typeof elm[i] === 'function' && i.match(/^on/))
				elm[i]=null;
		}
	}

	for(var i=elm.childNodes.length-1;i>=0;i--){
			arguments.callee.call(this, elm.childNodes[i], true);
	}

	if(removeSelf && elm.parentNode){
		elm.parentNode.removeChild(elm);
	}
}

/****
****/
function CloseAllPopupmenu(){
	stage.CloseAllBalloon();
	stage.PanelDelAll();
	stage.OnomaDelAll();
	seats.Hide(true);
	return 0;
}

/****
ToDo
送信時にtimeを再生開始からの経過時間に変換する処理を入れる
****/
function CommentformSubmit(frm){
	Dabten.Net.Load(frm.getAttribute('action'), function(o){
		var data;
		try{
			data=eval(o.client.responseText);
		}catch(e){
			return true;
		}
		//自分の発言を追加
		cheer.Talk({
			name: [data.name],
			avatar: [data.avatar],
			script: [data.script],
			date: [data.date],
			time: [data.time]
		}, true);
		return true;
	}, {method:frm.method||'POST', force:false, enctype:frm.enctype, postData:frm});

	for(var i=0,e;i<frm.elements.length;i++){
		e=frm.elements[i];
		if(e.type=='text')
			e.value='';
	}
	return false;
}



function AjustDesign(){
	var fnClose=function(except){
			if(except!='arch' && $('#arch-list').css('display')!='none')
				$('#navi-arch>h2').mytoggle(fns[0], 0, function(){$('#arch-list').hide('slide', {}, 500);});
			if(except!='latest' && $('#latest-list').css('display')!='none')
				$('#navi-latest>h2').mytoggle(fns[1], 0, function(){$('#latest-list').hide('slide', {}, 500);});
			if(except!='stage' && $('#stage-list').css('display')!='none')
				$('#navi-stage>h2').mytoggle(fns[2], 0, function(){$('#stage-list').hide('slide', {}, 500);});
		};

	var fns=[
		$('#navi-arch>h2').mytoggle(
				function(){fnClose('arch');$('#arch-list').show('slide', {}, 500);},
				function(){$('#arch-list').hide('blind', {}, 400);}
		),
		$('#navi-latest>h2').mytoggle(
				function(){fnClose('latest');$('#latest-list').show('slide', {}, 500);},
				function(){$('#latest-list').hide('blind', {}, 400);}
		),
		$('#navi-stage>h2').mytoggle(
				function(){fnClose('stage');$('#stage-list').show('slide', {}, 500);},
				function(){$('#stage-list').hide('blind', {}, 400);}
		)
	];

	$('#arch-list .cancel').click( 
			function(){$('#navi-arch>h2').mytoggle(fns[0], 0, 1);fnClose('arch');}
		);
	$('#latest-list .cancel').click( 
			function(){$('#navi-latest>h2').mytoggle(fns[1], 0, 1);fnClose('latest');}
		);
	$('#stage-list .cancel').click( 
			function(){$('#navi-stage>h2').mytoggle(fns[2], 0, 1);fnClose('stage');}
		);

	window.NavPost=	$('#posts').mytoggle(
				function(){$('#posts').css('opacity','0.4').animate({width: '990px'}, 1000);},
				function(){$('#posts').animate({width: '100px' }, 1000, function(){$('#posts').css('opacity','1.0');});}
		);
	$('#posts').mouseover(function(){$(this).css('opacity','1.0');});
	$('#posts').mouseout(
		function(){
			if(parseInt($(this).css('width'))>100){
				$(this).css('opacity','0.4');
			}
		}
	);

	window.NavClose=fnClose;

	Dabten.InsertDOM('navibar', 'buttons', {}, true);

	U.EI('fastplay').isFast='0';
	U.EI('stopplay').isStop='0';

}//


(function() {  
		
	jQuery.fn.mytoggle = function(fn){

		var args = arguments, i = 1;
		
		if((args.length>=2) && typeof(args[1])=='number'){
			if(typeof(args[2])==='function'){
				args[2].apply(this, args);
			}else if(typeof(args[2])==='number'){
				jQuery.data( this.get(0), "lastToggle" + fn.guid, args[2] );
				jQuery(this.get(0)).triggerHandler('click');
			}
			jQuery.data( this.get(0), "lastToggle" + fn.guid, args[1] );
			return true;
		}
		
		while ( i < args.length ) {
			jQuery.proxy( fn, args[ i++ ] );
		}

		this.click( jQuery.proxy( fn, function( event ) {
			var lastToggle = ( jQuery.data( this, "lastToggle" + fn.guid ) || 0 ) % i;
			jQuery.data( this, "lastToggle" + fn.guid, lastToggle + 1 );
			event.preventDefault();
			return args[ lastToggle ].apply( this, arguments ) || false;
		}));

		return fn;
	};//
})(jQuery);



