/*******************
おとぎ芝居 (fairy rhyme) (Ver. 2.0)
Copyright 神崎渉瑠, 2008-2011
http://www.wi-wi.jp/
********************/
U={
	entities:{
		nbsp:160,iexcl:161,cent:162,pound:163,curren:164,yen:165,brvbar:166,sect:167,uml:168,copy:169,ordf:170,laquo:171,not:172,shy:173,reg:174,macr:175,deg:176,plusmn:177,sup2:178,sup3:179,acute:180,micro:181,para:182,middot:183,cedil:184,sup1:185,ordm:186,raquo:187,frac14:188,frac12:189,frac34:190,iquest:191,Agrave:192,Aacute:193,Acirc:194,Atilde:195,Auml:196,Aring:197,AElig:198,Ccedil:199,
		Egrave:200,Eacute:201,Ecirc:202,Euml:203,Igrave:204,Iacute:205,Icirc:206,Iuml:207,ETH:208,Ntilde:209,Ograve:210,Oacute:211,Ocirc:212,Otilde:213,Ouml:214,times:215,Oslash:216,Ugrave:217,Uacute:218,Ucirc:219,Uuml:220,Yacute:221,THORN:222,szlig:223,agrave:224,aacute:225,acirc:226,atilde:227,auml:228,aring:229,aelig:230,ccedil:231,egrave:232,eacute:233,ecirc:234,euml:235,igrave:236,iacute:237,icirc:238,iuml:239,eth:240,ntilde:241,ograve:242,oacute:243,ocirc:244,otilde:245,ouml:246,divide:247,oslash:248,ugrave:249,uacute:250,ucirc:251,uuml:252,yacute:253,thorn:254,yuml:255,fnof:402,
		Alpha:913,Beta:914,Gamma:915,Delta:916,Epsilon:917,Zeta:918,Eta:919,Theta:920,Iota:921,Kappa:922,Lambda:923,Mu:924,Nu:925,Xi:926,Omicron:927,Pi:928,Rho:929,Sigma:931,Tau:932,Upsilon:933,Phi:934,Chi:935,Psi:936,Omega:937,alpha:945,beta:946,gamma:947,delta:948,epsilon:949,zeta:950,eta:951,theta:952,iota:953,kappa:954,lambda:955,mu:956,nu:957,xi:958,omicron:959,pi:960,rho:961,sigmaf:962,sigma:963,tau:964,upsilon:965,phi:966,chi:967,psi:968,omega:969,thetasym:977,upsih:978,piv:982,
		bull:8226,hellip:8230,prime:8242,Prime:8243,oline:8254,frasl:8260,weierp:8472,image:8465,real:8476,trade:8482,alefsym:8501,larr:8592,uarr:8593,rarr:8594,darr:8595,harr:8596,crarr:8629,lArr:8656,uArr:8657,rArr:8658,dArr:8659,hArr:8660,forall:8704,part:8706,exist:8707,empty:8709,nabla:8711,isin:8712,notin:8713,ni:8715,prod:8719,sum:8721,minus:8722,lowast:8727,radic:8730,prop:8733,infin:8734,ang:8736,and:8743,or:8744,cap:8745,cup:8746,int:8747,there4:8756,sim:8764,cong:8773,asymp:8776,ne:8800,equiv:8801,le:8804,ge:8805,sub:8834,sup:8835,nsub:8836,sube:8838,supe:8839,oplus:8853,otimes:8855,perp:8869,sdot:8901,lceil:8968,rceil:8969,lfloor:8970,rfloor:8971,
		lang:9001,rang:9002,loz:9674,spades:9824,clubs:9827,hearts:9829,diams:9830,quot:34,amp:38,lt:60,gt:62,OElig:338,oelig:339,Scaron:352,scaron:353,Yuml:376,circ:710,tilde:732,
		ensp:8194,emsp:8195,thinsp:8201,zwnj:8204,zwj:8205,lrm:8206,rlm:8207,ndash:8211,mdash:8212,lsquo:8216,rsquo:8217,sbquo:8218,ldquo:8220,rdquo:8221,bdquo:8222,dagger:8224,Dagger:8225,permil:8240,lsaquo:8249,rsaquo:8250,euro:8364
	},
	ret:{}
};

U.EI=function(id, doc){
	if(!doc){
		doc=document;
	}
	return doc.getElementById(id);
};
U.ET=function(tg, doc){
	if(!doc){
		doc=document;
	}
	return doc.getElementsByTagName(tg);
};
U.EN=function(nm, doc){
	if(!doc){
		doc=document;
	}
	return doc.getElementsByName(nm);
};
U.EC=function(cn, doc){
	if(!doc){
		doc=document;
	}
	if(doc.getElementsByClassName){
		return doc.getElementsByClassName(cn);
	}

	var result=new Array();
	var elms=doc.getElementsByTagName('*');
	cn=' '+cn+' ';
	for(var i=0,c;i<elms.length;i++){
		if(!elms[i].className)
			continue;
		c=' '+elms[i].className+' ';
		if(c.indexOf(cn)!=-1){
			result.push(elms[i]);
		}
	}
	return result;
};
U.CE=function(tg){
	return document.createElement(tg);
};
U.CT=function(st){
	return document.createTextNode(st);
};
U.AE=function(o, ev, func){
	if(!!o.addEventListener)
		o.addEventListener(ev, func, false);
	else if(!!o.attachEvent)
		o.attachEvent('on'+ev, func);
	else
		return false;
	return true;
};
U.RE=function(o, ev, func){
	if(!!o.removeEventListener)
		o.removeEventListener(ev, func, false);
	else if(!!o.dettachEvent)
		o.dettachEvent('on'+ev, func);
	else
		return false;
	return true;
};
U.Inherit=function(subClass, superClass){
	// does not copy poroperties, must do "SuperClass.apply(this, arguments);" in subClass' constructor
	for(var i in superClass)
		if(typeof(subClass[i])=='undefined')
			subClass[i]=superClass[i];
	// when need to add functions to superclass.prototype after inherit
	subClass.prototype = new superClass();
	subClass.prototype.constructor = subClass;

	return subClass;
};//
U.ParseRead=function(src, qs, esc){
	if(!qs)
		qs={};
	if(src==null)
		src=location.search;
	src=src.substring(1+src.indexOf('?'));
	for(var i=0,srcs=src.split('&'),s,p;s=srcs[i];i++){
		p=s.indexOf('=');
		if(p==-1){
			if(qs['q']===undefined)
				qs['q']=s;
			else if(qs['q'].constructor==Array)
				qs['q'].push(s);
			else
				qs['q']=new Array(qs['q'], s);
			
		}else{
			if(esc=='escape')
				qs[unescape(s.substring(0, p))]=unescape(s.substring(p+1));
			else
				qs[decodeURIComponent(s.substring(0, p))]=decodeURIComponent(s.substring(p+1));
		}
	}
	return qs;
};//
/************
脚本 フォーマットの読み込み
************/
U.IniToJson=function(ini, ret){
}

/*****/
U.Query2Json=function(line){
	var lines=line.split('&');
	var tmp={};
	for(var i=0,ary;i<lines.length;i++){
		ary=line.split('=');
		tmp[unescape(ary[0])]=unescape(ary[1]);
	}
	return tmp;
};//

/*****/
U.Json2Query=function(json){
	var tmp=[];
	for(var i in json){
		tmp.push(escape(i)+'='+escape(json[i]));
	}
	return tmp.join('&');
};//

/*****/
U.StringInclude=function(pattern, str){
	pattern=pattern.replace(/\//g, '\\/');
	return str.test('/'+pattern+'/');
};//

/*****/
U.ArrayInclude=function(str, ary){
	for(var i=0;i<ary.ength;i++)
		if(ary[i]==str)
			return true;
	return false;
};//

/*****/
U.Trim=function(str){
	return str.replace(/^[\s\n\r]+/, '').replace(/[\s\r\n]+$/, '');
};//

/*****/
U.RemoveComment=function(str){
	if(str.charAt(0)=='#')
		return '';
	return str;
};//


/*****/
U.EscapeYen=function(str){
	return str.replace(/\\([^\\])/g, '\\\\$1');
};//

/*****/
U.GetSize=function(elm){
	return {
		w: elm.clientWidth||elm.offsetWidth,
		h: elm.clientHeight||elm.offsetHeight
	};
};

/*****/
U.GetPos=function(elm){
	var x,y;
	var style=elm.currentStyle||document.defaultView.getComputedStyle(elm, '');
	var position=style.position;
//	var postion = (elm.currentStyle) ? elm.currentStyle.position : document.defaultView.getComputedStyle(elm, '').position;
	if(position=='absolute' || position=='relative'){
		var isStyle=0;
		if(elm.style.top!=null){
			y=parseInt(elm.style.top);
			isStyle++;
		}
		if(elm.style.left!=null){
			x=parseInt(elm.style.left);
			isStyle++;
		}
		if(isStyle==2)
			return [x,y];
	}
	
	var x=elm.offsetLeft,y=elm.offsetTop;
	var p=elm.offsetParent;
	while(p){
		x+=Number(p.offsetLeft);
		y+=Number(p.offsetTop);
		p=p.offsetParent;
	}
	return [x,y];
}

/*****/
U.GetPosAbs=function(el){
var _pos={x:0,y:0};
var isMac=(navigator.platform.toLowerCase().indexOf("mac")!=-1);
if(!el)return _pos;
//position:absolute or static only
// todo: for position:relative
	if(el.getBoundingClientRect){
		var doc,t=0,l=0;
		if(!!document.body){
			doc=document.body;
		}else if(!!document.documentElement){
			doc=document.documentElement;
		}else{
			doc={scrollTop:0,scrollLeft:0};
		}
		if(!!doc.scrollTop)t=parseInt(doc.scrollTop);
		if(!!doc.scrollLeft)l=parseInt(doc.scrollLeft);
		var rect=el.getBoundingClientRect();
		_pos.x=rect.top+t;
		_pos.y=rect.left+l;
	}else if(document.getBoxObjectFor){
		var rect=document.getBoxObjectFor(el);
		_pos.y=rect.y;
		_pos.x=rect.x;
	}else{
		while(el){
			_pos.x+=parseInt(el.offsetLeft);
			_pos.y+=parseInt(el.offsetTop);
			el=el.offsetParent;
		}
		if (!isMac){
		_pos.x-=document.body.offsetLeft; // html margin-left
		_pos.y-=document.body.offsetTop; // html margin-top
		}
	}
	return _pos;
}

/***
right, bottomを返す
**/
U.GetPosR=function(elm){
	var x,y;
	var style=elm.currentStyle||document.defaultView.getComputedStyle(elm, '');
	var position=style.position;
//	var postion = (elm.currentStyle) ? elm.currentStyle.position : document.defaultView.getComputedStyle(elm, '').position;
	if(position=='absolute' || position=='relative'){
		var isStyle=0;
		if(elm.style.bottom!=null){
			y=parseInt(elm.style.bottom);
			isStyle++;
		}
		if(elm.style.right!=null){
			x=parseInt(elm.style.right);
			isStyle++;
		}
		if(isStyle==2)
			return [x,y];
	}
	
	var x=elm.offsetLeft,y=elm.offsetTop;
	var p=elm.offsetParent;
	while(p){
		x+=Number(p.offsetLeft);
		y+=Number(p.offsetTop);
		p=p.offsetParent;
	}
	return [x+Number(elm.clientWidth),y+Number(elm.clientHeight)];
}

/*****/
U.ArrayParseFloat=function(ary){
	for(var i=0;i<ary.length;i++){
		ary[i]=parseFloat(ary[i]);
	}
	return ary;
}

/*****/
U.StopEvent=function(e){
	if(e.preventDefault){
		e.preventDefault();
		e.stopPropagation();
	}
	e.returnValue=false;
	e.cancelBubble=true;
};

/*****/
U.Grep=function(pattern, arr){
	var result=new Array();
	var reg=new RegExp(pattern);
	for(var i=0,a;a=arr[i];i++){
		if(reg.test(a))
			result.push(a);
	}
	return result;
};
/*****/
U.SelectText=function(elm){
	if(elm.value && elm.select)
		elm.select();
	return true;
};


/*****
 Dabten.Net.Processより
*****/
U.DevideMultipart=function(client){
	var boundary='';
	var boundReg=new RegExp(/boundary="?([^";,]+)"?/i); //"
	var cType=client.responseText.split("\n")[0];
	if(!!cType && cType.match(boundReg)!=null){
		boundary=cType.match(boundReg)[1];
		return Dabten.Net.Multipart.DevideDataMixed(client.responseText, boundary, Dabten.Net.CRLF);
	}
	return [];
}

/*****/
var D={
	d:1,
	tmp:0,
	inited:0,
	elms:['',''],
	cnt:0,
/*****/
	Start:function(){
		if(!this.tmp)
			return true;
		this.tmp=0;
		this.d=1;
	},
	Stop:function(){
		if(!this.d)
			return true;
		this.tmp=1;
		this.d=0;
	},
	Init:function(){
		this.elms[0]=document.createElement('div');
		this.elms[1]=document.createElement('div');
		this.elms[0].id='debug';
		this.elms[1].id='debug2';
		this.elms[0].style.zIndex=100;
		this.elms[1].style.zIndex=101;
this.elms[0].style.marginLeft='120px';
this.elms[1].style.marginLeft='120px';
//this.elms[1].style.position='absolute';
//this.elms[1].style.top='500px';
		if(!this.d||this.inited)
			return true;
		this.inited=1;
		if(document.body)
		for(var i=0;i<this.elms.length;i++)
		document.body.appendChild(this.elms[i]);
	},
/*****/
	Out:function(){
		if(!this.d)
			return true;
		var d=arguments[0];
		var arg=[];
		if(typeof d=='string'){
			arg.push(d);
			d=this.elms[0];
		}else if(typeof d=='number'){
			d=this.elms[d];
		}
		
		for(var i=1;i<arguments.length;i++)
			arg.push(arguments[i]);
		
		d.innerHTML+=arg.join(' ')+BR;
	},
/*****/
	Clear:function(d){
		if(!this.d)
			return true;
		if(d!==undefined && this.elms[d]){
			this.elms[d].innerHTML='';
		}else if(d!==undefined && d.innerHTML!=undefined){
			d.innerHTML='';
		}else{
			for(var i=0;i<this.elms.length;this.elms[i++].innerHTML='');
		}
	},
/*****/
	Cout:function(){
		if(!this.d)
			return true;
		this.Clear.apply(this, arguments);
		this.Out.apply(this, arguments);
	},
/*****/
	A:function(){
		var d=arguments[0];
		var arg=[];
		if(typeof d=='string'){
			arg.push(d);
			d=this.elms[0];
		}else if(typeof d=='number'){
			d=this.elms[d];
		}
		
		for(var i=1;i<arguments.length;i++)
			arg.push(arguments[i]);
		
		alert(arg.join('\n'));
	}
};



